CVE-2022-31080

Uncontrolled Resource Consumption in go/github.com/kubeedge/kubeedge

Identifiers

GHSA-6wvc-6pww-qr4r, CVE-2022-31080

Package Slug

go/github.com/kubeedge/kubeedge

Vulnerability

Uncontrolled Resource Consumption

Description

KubeEdge is an open source system for extending native containerized application orchestration capabilities to hosts at Edge. Prior to versions 1.11.1, 1.10.2, and 1.9.4, a large response received by the viaduct WSClient can cause a DoS from memory exhaustion. The entire body of the response is being read into memory which could allow an attacker to send a request that returns a response with a large body. The consequence of the exhaustion is that the process which invokes a WSClient will be in a denial of service. The software is affected If users who are authenticated to the edge side connect to cloudhub from the edge side through WebSocket protocol. This bug has been fixed in Kubeedge 1.11.1, 1.10.2, and 1.9.4. There are currently no known workarounds.

Affected Versions

All versions before 1.9.4, all versions starting from 1.10.0 before 1.10.2, all versions starting from 1.11.0 before 1.11.1

Solution

Upgrade to versions 1.10.2, 1.11.1, 1.9.4 or above.

Last Modified

2022-07-24

source